Subject: Re: draft-gont-v6ops-slaac-renum: Clarification to the issue raised by Eric Vyncke

From: Timothy Winters <[email-masked]>
Date: Thu, 2 Apr 2020 10:27:25 -0400

I wanted to follow-up Fernando email, with information that I told him
previously.  I have seen any CPE's that break up information into multiple
RAs.   Typically they send the exact information given from the ISP.

~Tim

On Tue, Mar 31, 2020 at 1:02 PM Fernando Gont <[email-masked]> wrote:

> Folks/Eric,
>
> During the 6man session, Eric was concerned about what would happen if a
> router were to split the configuration into multiple prefixes, and
> packets got lost.
>
> The algorithm does take care of that, as follows:
>
> * Addresses for a given prefix will be deprecated (un-preferred) *if*:
>      1) the router advertises multiple prefixes *and*
>      2) splits PIOs into multiple RAs *and*
>      3) one of such RAs gets lost
>
> * However, addresses will not be eliminated right-away. And we can set
>    Valid Lifetime to an appropriate value to accommodate for the case
>    where all the above conditions take place, such that multiple packet
>    losses are accommodated. At the very least, addresses would be
>    unpreferred in a timelier manner, which is already a very big win.
>
> Also, please note:
> * We are unaware of any real-world scenario where routers split options
>    into multiple RAs.
>
> * The document recommends to send all options in the same RA. And we
>    could add that, if not possible, at least all PIOs are sent in the
>    same RA.
>
>
> All the above said, this is so far an individual submission. And we'd
> like the wg to take on this document as a wg item, and improved as much
> as necessary.
>
> Thanks!
>
> Cheers,
> --
> Fernando Gont
> SI6 Networks
> e-mail: [email-masked]
> PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492
>
>
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Timothy Winters <[email-masked]>
Date: Thu, 2 Apr 2020 12:25:09 -0400

I had a typo in my last note. “ I haven’t seen a CPE......”

Tim